dofile_once("data/scripts/lib/coroutines.lua")
dofile_once("data/scripts/perks/perk.lua")
dofile_once("data/scripts/perks/perk_list.lua")
dofile_once("mods/removable_perks/files/get_perks.lua")
local utils = dofile_once("mods/removable_perks/files/utils.lua")

async(function()
  local players = EntityGetWithTag("player_unit")
  wait(60)
  if #players > 0 then
    local player = players[1]
    for i, perk in ipairs(perk_list) do
      perk_pickup(nil, player, perk.id, false, false, true)
      -- wait(0)
      -- perk_pickup(nil, player, perk.id, false, false, true)
      -- wait(0)
      -- perk_pickup(nil, player, perk.id, false, false, true)
    end
  end
  wait(5)
  local perks = get_active_perks()
  for i, perk_ in ipairs(perks) do
    wait(1)
    local success, err = pcall(function()
      -- print("Trying to remove perk: " .. tostring(perk_.id))
      utils.remove_perk(perk_, true)
      -- print("Removed perk: " .. tostring(perk_.id))
    end)
    if not success then
      print("ERROOOOOR: " .. err)
    end
  end
end)
