ModLuaFileAppend("data/scripts/perks/perk_list.lua", "mods/removable_perks/files/perk_list_append.lua")

function OnMagicNumbersAndWorldSeedInitialized()
	-- Build a lookup table for UIIconComponent:ui_name to perk_id
	dofile_once("data/scripts/perks/perk_list.lua")
	local lookup = "return {\n"
	for i, perk in ipairs(perk_list) do
		lookup = lookup .. ([[["%s"] = "%s",%s]]):format(perk.ui_name, perk.id, "\n")
	end
	lookup = lookup .. "}"
	ModTextFileSetContent("mods/removable_perks/_virtual/perk_id_lookup.lua", lookup)
end

function OnPlayerSpawned(player_entity)
	-- local x, y = EntityGetTransform(player_entity)
	-- dofile_once("data/scripts/perks/perk.lua")
	-- perk_pickup(nil, player_entity, "MAP", false, false, true)
  -- {
  --   name = "IKLimbComponent",
  -- },
  -- {
  --   name = "SpriteComponent",
  --   values = {
  --     image_file="data/entities/animals/lukki/lukki_feet/chest_limb_a.png",
  --   }
  -- },

	-- for i, perk in ipairs(perk_list) do
	-- 	perk_pickup(nil, player_entity, perk.id, false, false, true)
	-- end

--[[ 


	UNIT TESTS

 ]]

  -- dofile_once("mods/removable_perks/files/test_removal_functions.lua")
 	-- dofile_once("mods/removable_perks/files/utils.lua")

	-- local test_defs = {
	-- 	-- pe_projectile_slow_field = {{
	-- 	-- 	name = "ParticleEmitterComponent", values = {
	-- 	-- 	emitted_material_name = "spark_purple",
	-- 	-- 	area_circle_radius = { min = 72, max = 72 },
	-- 	-- }}},
	-- 	pe_projectile_slow_field = dofile_once("mods/removable_perks/files/entity_definitions/pe_projectile_slow_field.lua"),
	-- 	pe_projectile_repulsion_field = dofile_once("mods/removable_perks/files/entity_definitions/pe_projectile_repulsion_field.lua"),
	-- }

	-- local tests = {
	-- 	{ filename = "data/entities/particles/perks/projectile_slow_field.xml",
	-- 		expected_result = true, components = test_defs.pe_projectile_slow_field },
	-- 	{ filename = "data/entities/particles/perks/projectile_repulsion_field.xml",
	-- 		expected_result = false, components = test_defs.pe_projectile_slow_field },
	-- 	{ filename = "data/entities/particles/perks/projectile_repulsion_field.xml",
	-- 	expected_result = true, components = test_defs.pe_projectile_repulsion_field },
	-- 	{ filename = "data/entities/particles/perks/projectile_slow_field.xml",
	-- 	expected_result = false, components = test_defs.pe_projectile_repulsion_field },

	-- 	{ filename = "data/entities/particles/perks/projectile_repulsion_field.xml",
	-- 		expected_result = false, components = test_defs.pe_projectile_slow_field },
	-- 	{ filename = "data/entities/particles/perks/projectile_repulsion_field.xml",
	-- 		expected_result = false, components = {
	-- 			{
	-- 				name = "ParticleEmitterComponent",
	-- 				values = {
	-- 					emitted_material_name = "spark_purple",
	-- 					lifetime_min = 0.06,
	-- 					lifetime_max = 0.12,
	-- 					count_min = 50,
	-- 					count_max = 70,
	-- 					area_circle_radius = { min = 72, max = 72 },
	-- 					render_on_grid = true,
	-- 					fade_based_on_lifetime = true,
	-- 					cosmetic_force_create = false,
	-- 					airflow_force = 0.3,
	-- 					airflow_time = 0.01,
	-- 					airflow_scale = 0.05,
	-- 					emission_interval_min_frames = 0,
	-- 					emission_interval_max_frames = 0,
	-- 					emit_cosmetic_particles = true
	-- 				}
	-- 			},
	-- 	}},
	-- }

	-- for i, test in ipairs(tests) do
	-- 	local e = EntityLoad(test.filename)
	-- 	local result = entity_has_components_with_values(e, test.components)
	-- 	if result == test.expected_result then
	-- 		print("Test success: " .. i)
	-- 	else
	-- 		print("ERROR ERROR ERROR: Failed test " .. i)
	-- 	end
	-- end
	-- for i, v in ipairs(perk_list) do
	-- 	perk_pickup(perk_spawn(x, y, v.id), player_entity, "", false, false)
	-- end
	-- for i=1, 5 do
	-- 	perk_pickup(perk_spawn(x, y, "TEST_" .. tostring(i)), player_entity, "", false, false)
	-- end
	-- for i=1, 5 do
	-- 	perk_pickup(perk_spawn(x, y, "TEST_" .. tostring(i)), player_entity, "", false, false)
	-- end
	
	-- EntityLoad("data/entities/items/pickup/essence_air.xml", x, y - 20)
	-- EntityLoad("data/entities/items/pickup/essence_fire.xml", x, y - 30)
	-- EntityLoad("data/entities/items/pickup/essence_alcohol.xml", x, y - 40)
	-- EntityLoad("data/entities/items/pickup/essence_laser.xml", x, y - 50)
	-- EntityLoad("data/entities/items/pickup/essence_water.xml", x, y - 60)
	-- EntityLoad("data/entities/items/pickup/essence_air.xml", x, y - 20)
	-- EntityLoad("data/entities/items/pickup/essence_fire.xml", x, y - 30)
	-- EntityLoad("data/entities/items/pickup/essence_alcohol.xml", x, y - 40)
	-- EntityLoad("data/entities/items/pickup/essence_laser.xml", x, y - 50)
	-- EntityLoad("data/entities/items/pickup/essence_water.xml", x, y - 60)
	-- perk_pickup(nil, player_entity, "PROJECTILE_REPULSION", false, false, true)
	-- perk_pickup(nil, player_entity, "PROJECTILE_SLOW_FIELD", false, false, true)
	-- perk_pickup(nil, player_entity, "CRITICAL_HIT", false, false, true)
	-- perk_pickup(perk_spawn(x, y, "CRITICAL_HIT"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "BREATH_UNDERWATER"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "BREATH_UNDERWATER"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "CRITICAL_HIT"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "EXTRA_MONEY"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "CRITICAL_HIT"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "GOLD_IS_FOREVER"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "WAND_RADAR"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "SPEED_DIVER"), player_entity, EntityGetName(perk), false, false)

	-- perk_pickup(perk_spawn(x, y, "BLEED_OIL"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "BLEED_SLIME"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "BLEED_SLIME"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "BLEED_OIL"), player_entity, EntityGetName(perk), false, false)

	-- perk_pickup(perk_spawn(x, y, "MOVEMENT_FASTER"), player_entity, EntityGetName(perk), false, false)
	-- perk_pickup(perk_spawn(x, y, "MOVEMENT_FASTER"), player_entity, EntityGetName(perk), false, false)
	-- for i=1,60 do
	-- 	perk_pickup(perk_spawn(x, y, "HOVER_BOOST"), player_entity, EntityGetName(perk), false, false)
	-- end
end

function OnWorldPreUpdate()
	dofile("mods/removable_perks/files/gui.lua")
end
