dofile("data/scripts/lib/mod_settings.lua")

local mod_id = "removable_perks"
mod_settings_version = 1
mod_settings = {
  {
    id = "show_button_in_inventory_only",
    ui_name = "Hide button",
    ui_description = "When enabled, shows the button only when the inventory is open",
    value_default = false,
    scope = MOD_SETTING_SCOPE_RUNTIME,
  },
}

function ModSettingsUpdate(init_scope)
    local old_version = mod_settings_get_version(mod_id)
    mod_settings_update(mod_id, mod_settings, init_scope)
end

function ModSettingsGuiCount()
    return mod_settings_gui_count(mod_id, mod_settings)
end

function ModSettingsGui(gui, in_main_menu)
    mod_settings_gui(mod_id, mod_settings, gui, in_main_menu)
end
